export declare enum INFORMATIONAL {
    '100 - Continue' = 0,
    '101 - Switching Protocols' = 1,
    '102 - Processing' = 2
}
export declare type TInformational = keyof typeof INFORMATIONAL;
export declare type TInformationalCode = 100 | 101 | 102;
export declare enum SUCCESS {
    '200 - OK' = 0,
    '201 - Created' = 1,
    '202 - Accepted' = 2,
    '203 - Non-authoritative Information' = 3,
    '204 - No Content' = 4,
    '205 - Reset Content' = 5,
    '206 - Partial Content' = 6,
    '207 - Multi-Status' = 7,
    '208 - Already Reported' = 8,
    '209 - IM Used' = 9
}
export declare type TSuccess = keyof typeof SUCCESS;
export declare type TSuccessCode = 200 | 201 | 202 | 203 | 204 | 205 | 206 | 207 | 208 | 209;
export declare enum REDIRECTION {
    '300 - Multiple Choices' = 0,
    '301 - Moved Permanently' = 1,
    '302 - Found' = 2,
    '303 - See Other' = 3,
    '304 - Not Modified' = 4,
    '305 - Use Proxy' = 5,
    '307 - Temporary Redirect' = 6,
    '308 - Permanent Redirect' = 7
}
export declare type TRedirection = keyof typeof REDIRECTION;
export declare type TRedirectionCode = 300 | 301 | 302 | 303 | 304 | 305 | 307 | 308;
export declare enum CLIENT_ERROR {
    '400 - Bad Request' = 0,
    '401 - Unauthorized' = 1,
    '402 - Payment Required' = 2,
    '403 - Forbidden' = 3,
    '404 - Not Found' = 4,
    '405 - Method Not Allowed' = 5,
    '406 - Not Acceptable' = 6,
    '407 - Proxy Authentication Required' = 7,
    '408 - Request Timeout' = 8,
    '409 - Conflict' = 9,
    '410 - Gone' = 10,
    '411 - Length Required' = 11,
    '412 - Precondition Failed' = 12,
    '413 - Payload Too Large' = 13,
    '414 - Request-URI Too Long' = 14,
    '415 - Unsupported Media Type' = 15,
    '416 - Requested Range Not Satisfiable' = 16,
    '417 - Expectation Failed' = 17,
    "418 - I'm a teapot" = 18,
    '421 - Misdirected Request' = 19,
    '422 - Unprocessable Entity' = 20,
    '423 - Locked' = 21,
    '424 - Failed Dependency' = 22,
    '426 - Upgrade Required' = 23,
    '428 - Precondition Required' = 24,
    '429 - Too Many Requests' = 25,
    '431 - Request Header Fields Too Large' = 26,
    '444 - Connection Closed Without Response' = 27,
    '451 - Unavailable For Legal Reasons' = 28,
    '499 - Client Closed Request' = 29
}
export declare type TClientError = keyof typeof CLIENT_ERROR;
export declare type TClientErrorCode = 400 | 401 | 402 | 403 | 404 | 405 | 406 | 407 | 408 | 409 | 410 | 411 | 412 | 413 | 414 | 415 | 416 | 417 | 418 | 421 | 422 | 423 | 424 | 426 | 428 | 429 | 431 | 444 | 451 | 499;
export declare enum SERVER_ERROR {
    '500 - Internal Server Error' = 0,
    '501 - Not Implemented' = 1,
    '502 - Bad Gateway' = 2,
    '503 - Service Unavailable' = 3,
    '504 - Gateway Timeout' = 4,
    '505 - HTTP Version Not Supported' = 5,
    '506 - Variant Also Negotiates' = 6,
    '507 - Insufficient Storage' = 7,
    '508 - Loop Detected' = 8,
    '510 - Not Extended' = 9,
    '511 - Network Authentication Required' = 10,
    '599 - Network Connect Timeout Error' = 11
}
export declare type TServerError = keyof typeof SERVER_ERROR;
export declare type TServerErrorCode = 500 | 501 | 502 | 503 | 504 | 505 | 506 | 507 | 508 | 510 | 511 | 599;
export declare const ROOT_CODES: {
    [x: number]: string;
    '500 - Internal Server Error': SERVER_ERROR.500 - Internal Server Error;
    '501 - Not Implemented': SERVER_ERROR.501 - Not Implemented;
    '502 - Bad Gateway': SERVER_ERROR.502 - Bad Gateway;
    '503 - Service Unavailable': SERVER_ERROR.503 - Service Unavailable;
    '504 - Gateway Timeout': SERVER_ERROR.504 - Gateway Timeout;
    '505 - HTTP Version Not Supported': SERVER_ERROR.505 - HTTP Version Not Supported;
    '506 - Variant Also Negotiates': SERVER_ERROR.506 - Variant Also Negotiates;
    '507 - Insufficient Storage': SERVER_ERROR.507 - Insufficient Storage;
    '508 - Loop Detected': SERVER_ERROR.508 - Loop Detected;
    '510 - Not Extended': SERVER_ERROR.510 - Not Extended;
    '511 - Network Authentication Required': SERVER_ERROR.511 - Network Authentication Required;
    '599 - Network Connect Timeout Error': SERVER_ERROR.599 - Network Connect Timeout Error;
    '400 - Bad Request': CLIENT_ERROR.400 - Bad Request;
    '401 - Unauthorized': CLIENT_ERROR.401 - Unauthorized;
    '402 - Payment Required': CLIENT_ERROR.402 - Payment Required;
    '403 - Forbidden': CLIENT_ERROR.403 - Forbidden;
    '404 - Not Found': CLIENT_ERROR.404 - Not Found;
    '405 - Method Not Allowed': CLIENT_ERROR.405 - Method Not Allowed;
    '406 - Not Acceptable': CLIENT_ERROR.406 - Not Acceptable;
    '407 - Proxy Authentication Required': CLIENT_ERROR.407 - Proxy Authentication Required;
    '408 - Request Timeout': CLIENT_ERROR.408 - Request Timeout;
    '409 - Conflict': CLIENT_ERROR.409 - Conflict;
    '410 - Gone': CLIENT_ERROR.410 - Gone;
    '411 - Length Required': CLIENT_ERROR.411 - Length Required;
    '412 - Precondition Failed': CLIENT_ERROR.412 - Precondition Failed;
    '413 - Payload Too Large': CLIENT_ERROR.413 - Payload Too Large;
    '414 - Request-URI Too Long': CLIENT_ERROR.414 - Request-URI Too Long;
    '415 - Unsupported Media Type': CLIENT_ERROR.415 - Unsupported Media Type;
    '416 - Requested Range Not Satisfiable': CLIENT_ERROR.416 - Requested Range Not Satisfiable;
    '417 - Expectation Failed': CLIENT_ERROR.417 - Expectation Failed;
    "418 - I'm a teapot": CLIENT_ERROR.418 - I'm a teapot;
    '421 - Misdirected Request': CLIENT_ERROR.421 - Misdirected Request;
    '422 - Unprocessable Entity': CLIENT_ERROR.422 - Unprocessable Entity;
    '423 - Locked': CLIENT_ERROR.423 - Locked;
    '424 - Failed Dependency': CLIENT_ERROR.424 - Failed Dependency;
    '426 - Upgrade Required': CLIENT_ERROR.426 - Upgrade Required;
    '428 - Precondition Required': CLIENT_ERROR.428 - Precondition Required;
    '429 - Too Many Requests': CLIENT_ERROR.429 - Too Many Requests;
    '431 - Request Header Fields Too Large': CLIENT_ERROR.431 - Request Header Fields Too Large;
    '444 - Connection Closed Without Response': CLIENT_ERROR.444 - Connection Closed Without Response;
    '451 - Unavailable For Legal Reasons': CLIENT_ERROR.451 - Unavailable For Legal Reasons;
    '499 - Client Closed Request': CLIENT_ERROR.499 - Client Closed Request;
    '300 - Multiple Choices': REDIRECTION.300 - Multiple Choices;
    '301 - Moved Permanently': REDIRECTION.301 - Moved Permanently;
    '302 - Found': REDIRECTION.302 - Found;
    '303 - See Other': REDIRECTION.303 - See Other;
    '304 - Not Modified': REDIRECTION.304 - Not Modified;
    '305 - Use Proxy': REDIRECTION.305 - Use Proxy;
    '307 - Temporary Redirect': REDIRECTION.307 - Temporary Redirect;
    '308 - Permanent Redirect': REDIRECTION.308 - Permanent Redirect;
    '200 - OK': SUCCESS.200 - OK;
    '201 - Created': SUCCESS.201 - Created;
    '202 - Accepted': SUCCESS.202 - Accepted;
    '203 - Non-authoritative Information': SUCCESS.203 - Non-authoritative Information;
    '204 - No Content': SUCCESS.204 - No Content;
    '205 - Reset Content': SUCCESS.205 - Reset Content;
    '206 - Partial Content': SUCCESS.206 - Partial Content;
    '207 - Multi-Status': SUCCESS.207 - Multi-Status;
    '208 - Already Reported': SUCCESS.208 - Already Reported;
    '209 - IM Used': SUCCESS.209 - IM Used;
    '100 - Continue': INFORMATIONAL.100 - Continue;
    '101 - Switching Protocols': INFORMATIONAL.101 - Switching Protocols;
    '102 - Processing': INFORMATIONAL.102 - Processing;
};
